
#ifndef _RENDERER_H_
#define _RENDERER_H_

class Renderer
{
private:
	IGL *		mIGL;
	IEGL *		mIEGL;

	EGLDisplay	mDisplay;
	EGLConfig	mConfig;
	EGLSurface	mSurface;
	EGLContext	mContext;

public:
	boolean Create(IShell * shell, IDisplay * display);
	void Destroy();

	void FlipToScreen();
};

#endif
